Subject: Re: [PATCH 1/3] CPM: Change from fsl, brg-frequency to brg/clock-frequency

From: Olof Johansson <[email-masked]>
Date: Wed, 5 Sep 2007 16:57:08 -0500

On Wed, Sep 05, 2007 at 02:13:13PM -0500, Scott Wood wrote:
> As suggested by David Gibson, now that we have a separate node
> for the baud rate generators, it's better to use the standard
> clock-frequency property than a cpm-node-level fsl,brg-frequency
> property.
> 
> This patch updates existing places where fsl,brg-frequency is
> used.

What about older platforms that were booted with the older device
tree? Don't you have to stay compatible with them? Think kexec of a
system running a kernel with the older device tree, for example.

-Olof